## org.apache.http.protocol
Interface HttpRequestHandlerResolver

All Known Implementing Classes:
  HttpRequestHandlerRegistry

    public interface HttpRequestHandlerResolver

HttpRequestHandlerResolver can be used to resolve an instance of `HttpRequestHandler` matching a particular request URI. Usually the resolved request handler will be used to process the request with the specified request URI.

Since:
  4.0

Method Summary
`HttpRequestHandler` `lookup(String requestURI)` Looks up a handler matching the given request URI.

Method Detail

### lookup

    HttpRequestHandler lookup(String requestURI)

  Looks up a handler matching the given request URI.

  Parameters:
    `requestURI` - the request URI
  Returns:
    HTTP request handler or `null` if no match is found.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.